dashboard/login/urls.py
from django.conf.urls import url, include
from django.contrib.auth import views as auth_views
from dashboard.login import views


  #urls student
urlpatterns = [
    url(r'^user/', include('django.contrib.auth.urls')),
    url(r'^$', views.login_user, name="login_user"),
]


# documentacion para reset password
# http://blog.contraslash.com/custom-password-recovery/


# templates para utilizar
# - reste password Static_Full_Version/forgot_password.html

dashboard/mail/urls.py
from django.conf.urls import url, include
from django.contrib.auth import views as auth_views
from dashboard.mail import views


urlpatterns = [

    url(r'^mail_write/$', views.mail_write, name='mail_write'),
    url(r'^mail_view/$', views.mail_view, name='mail_view'),

]

dashboard/urls.py
from django.conf.urls import url, include
from django.contrib.auth import views as auth_views
from dashboard import views


urlpatterns = [

    url(r'^$', views.index, name="dashboard"),
    url(r'^planning/rubric_details/(?P<pk>\d+)$', views.rubric_details, name='planning_rubric_details'),
    url(r'^planning/rubric_create/$', views.rubric_create, name='planning_rubric_create'),
    url(r'^planning/rubric_list/$', views.rubric_list, name='planning_rubric_list'),
    url(r'^planning/add_rubric/$', views.rubric_add, name='planning_rubric_add'),
    url(r'^planning/rubric_delete/(?P<pk>\d+)$', views.rubric_delete, name='planning_rubric_delete'),

    url(r'^planning/abet_list/$', views.abet_list, name='planning_abet_list'),
    url(r'^planning/abet_delete/(?P<pk>\d+)$', views.abet_delete, name='planning_abet_delete'),
    url(r'^planning/add_abet/$', views.abet_add, name='planning_abet_add'),
    url(r'^planning/abet_details/(?P<pk>\d+)$', views.abet_details, name='planning_abet_details'),
    url(r'^planning/abet_create/$', views.abet_create, name='planning_abet_create'),
    url(r'^planning/abet_rubric_list/$', views.abet_rubric_list, name='planning_abet_rubric_list'),
    url(r'^planning/abet_rubric_add/$', views.abet_rubric_add, name='planning_abet_rubric_add'),
    url(r'^planning/abet_rubric_add_outcomes/$', views.abet_rubric_add_outcomes, name='planning_abet_rubric_add_outcomes'),
    url(r'^planning/abet_rubric_create/$', views.abet_rubric_create, name='planning_abet_rubric_create'),
    url(r'^planning/abet_rubric_details/(?P<pk>\d+)$', views.abet_rubric_details, name='planning_abet_rubric_details'),
    url(r'^planning/rubric_outcome_remove/$', views.rubric_outcome_remove, name='planning_rubric_outcome_remove'),
    url(r'^planning/get_outcome_opt/$', views.get_opt_rubric_outcomes, name='planning_abet_rubric_opt'),
    url(r'^planning/set_grades/$', views.set_grades, name='planning_set_grades'),
    url(r'^planning/abet_rubric_activate/$', views.abet_rubric_activate, name='planning_abet_rubric_activate'),
    url(r'^planning/abet_rubric_deactivate/$', views.abet_rubric_deactivate, name='planning_abet_rubric_deactivate'),
    url(r'^planning/abet_rubric_delete/(?P<pk>\d+)$', views.abet_rubric_delete, name='planning_abet_rubric_delete'),

    url(r'^planning/outcome_create/$', views.outcome_create, name='planning_outcome_create'),
    url(r'^planning/outcome_delete/$', views.outcome_delete, name='planning_outcome_del'),
    url(r'^planning/criteria_create/$', views.criteria_create, name='planning_criteria_create'),
    url(r'^planning/criteria_edit/$', views.criteria_edit, name='planning_criteria_edit'),
    url(r'^planning/get_criteria_detail/$', views.get_criteria_info, name='planning_get_criteria_detail'),
    url(r'^planning/criteria_delete/$', views.criteria_delete, name='planning_criteria_del'),
    url(r'^evaluation/student_evaluation/(?P<pk_session>(\d+))/(?P<pk_student>(\d+))/$', views.student_evaluation, name='student_evaluation'),
    url(r'^planning/abet_activate/$', views.abet_activate, name='planning_abet_activate'),
    url(r'^planning/abet_deactivate/$', views.abet_deactivate, name='planning_abet_deactivate'),
    url(r'^planning/get_subjects/$', views.get_carreer_subjects, name='get_carreer_subject'),
    url(r'^planning/get_outcomes/$', views.get_carreer_outcomes, name='get_carreer_outcomes'),

    url(r'^create_evaluation$', views.create_evaluation, name='create_evaluation'),
    url(r'^create_evaluation_hito$', views.create_evaluation_hito, name='create_evaluation_hito'),
    url(r'^charge_student$', views.charge_student, name='charge_student'),
    url(r'^charge_session$', views.charge_session, name='charge_session'),
    url(r'^evaluation/teacher_projects/$', views.teacher_projects, name='teacher_projects'),
    url(r'^get_data_carreer/$', views.get_data_carreer, name="get_data_carreer"),
    url(r'^delete_notifications', views.delete_notifications, name="delete_notifications"),
    url(r'^get_carrer/$', views.get_carrer, name="get_carrer"),
    url(r'^planning/add_evaluation$', views.evaluation_create, name="evaluation_create"),
    url(r'^planning/add_item$', views.item_create, name="item_create"),
    url(r'^planning/delete_evaluation$', views.delete_evaluation, name="delete_evaluation"),
    url(r'^planning/add_topic_week$', views.add_topic_week, name="add_topic_week"),
    url(r'^planning/add_presentation_item$', views.add_presentation_item, name="add_presentation_item"),
    url(r'^planning/delete_item$', views.delete_item, name="delete_item"),
    url(r'^planning/get_subject$', views.get_subject, name="get_subject"),
    url(r'^planning/rubric_activate$', views.rubric_activate, name="rubric_activate"),
    url(r'^planning/rubric_desactivate/(?P<pk>\d+)$', views.rubric_desactivate, name='rubric_desactivate'),
    url(r'^create_retro/$', views.create_retro, name='create_retro'),
    url(r'^load_carreer/$', views.load_carreer, name='load_carreer'),
    url(r'^validate_subject/$', views.validate_subject, name='validate_subject'),
    url(r'^get_carreers/$', views.get_carreers, name='get_carreers'),
    url(r'^bypass_carreer/$', views.bypass_carreer, name='bypass_carreer'),
    url(r'^project/', include('dashboard.project.urls')),
    url(r'^reports/', include('dashboard.reports.urls')),
    url(r'^student/', include('dashboard.student.urls')),
    url(r'^teacher/', include('dashboard.teacher.urls')),
    url(r'^banner/', include('import_banner_data.urls')),
    url(r'^mail/', include('dashboard.mail.urls')),
    # legacy
    url(r'^login/', include('dashboard.login.urls')),

]

main/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.conf import settings
from django.conf.urls.static import static
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^dashboard/', include('dashboard.urls')),
    url(r'^summernote/', include('django_summernote.urls')),
    url(r'^$', RedirectView.as_view(url='/dashboard/', \
            permanent=False), name='index')


] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

dashboard/login/models.py
from __future__ import unicode_literals

from django.db import models

# Create your models here.

dashboard/models.py
from __future__ import unicode_literals

from django.db import models

from mptt.models import MPTTModel, TreeForeignKey


TYPE_ACCESS_CHOICES = (
    ('G','Global'),
    ('T','Teacher'),
    ('S','Student'),
)
TYPE_ACCESS_DEFAULT = 'G'

class Sidebar(MPTTModel):
    name = models.CharField(max_length=50, unique=True)
    icon = models.CharField(max_length=50, blank=True,null=True)
    href = models.CharField(max_length=144)
    access = models.CharField(
        max_length=1,
        choices=TYPE_ACCESS_CHOICES,
        default=TYPE_ACCESS_DEFAULT
    )
    parent = TreeForeignKey('self', null=True, blank=True, related_name='children', db_index=True)

    def __str__(self):
        return self.name

    class MPTTMeta:
        order_insertion_by = ['name']

dashboard/project/models.py
from __future__ import unicode_literals

from django.db import models

# Create your models here.

dashboard/forms.py
#encoding:utf-8
from django import forms
from django.contrib.auth.models import User
from core.models import *
from localflavor.cl.forms import CLRutField
from django.utils.translation import ugettext as _
from django_summernote.widgets import SummernoteWidget, SummernoteInplaceWidget

from core.models import Carreer


class UserForm(forms.ModelForm):
    class Meta:
        model = User
        fields = ('first_name', 'last_name', 'username', 'email', 'password')

    # def __init__(self, *args, **kwargs):
    #     super(UserForm, self).__init__(*args, **kwargs)
    #     self.fields['password'].widget = forms.PasswordInput(attrs={'placeholder': _('Password')})


class UserProfileForm(forms.ModelForm):
    class Meta:
        model = Teacher
        fields = "__all__"


class ProjectProposeForm(forms.Form):
    title = forms.CharField(label=_(u"Título"))
    student = forms.ModelMultipleChoiceField(label=_(u"Estudiante"),queryset=Student.objects.all(), required=False)
    description = forms.CharField(label=_(u"Descripción"),widget=forms.Textarea)
    faculty = forms.ModelChoiceField(label=_(u"Facultad"),queryset=Faculty.objects.all())
    carreer = forms.ModelChoiceField(label=_(u"Carrera"),queryset=Carreer.objects.all())
    period = forms.ModelChoiceField(label=_(u"Período"),queryset=Period.objects.all())
    vacancy = forms.IntegerField(label=_(u"Cupos"),min_value=0, max_value=20)
    tags = forms.CharField(label=_(u"Tags"))
    teacher = forms.ModelChoiceField(label=_(u"Profesor"),queryset=Teacher.objects.all(), required=False)
    def __init__(self, *args, **kwargs):
        super(ProjectProposeForm, self).__init__(*args, **kwargs)
        self.fields['carreer'].queryset = Carreer.objects.none()
        self.fields['teacher'].queryset = Teacher.objects.none()
        self.fields['student'].queryset = Student.objects.none()



class WeekForm(forms.Form):
    name = forms.CharField()
    percentage = forms.IntegerField(min_value=0,max_value=100)


class RubricForm(forms.Form):
    title = forms.CharField(label="Título")
    carreer = forms.ModelChoiceField(label="Carrera",queryset=Carreer.objects.all())
    description = forms.CharField(label="Descripción",widget=forms.Textarea)
    cantidadsemanas = forms.IntegerField(label="Cantidad de Sesiones",min_value=0, max_value=20)

class StudentForm(forms.Form):
    first_name = forms.CharField(label=_('Nombre'))
    last_name = forms.CharField(label=_('Apellido'))
    username = forms.CharField(label=_('Nombre de Usuario'),
                                        required=False)
    password = forms.CharField(label=_('Password'),
                                widget=forms.PasswordInput(),
                                required=False)

    email = forms.EmailField()
    carreer = forms.ModelChoiceField(queryset=Carreer.objects.all(),
                                        label=_('Programa'), required=False)
    campus = forms.ModelChoiceField(queryset=Campus.objects.all(),
                                    label=_('Campus'), required=False)
    rut = CLRutField(label=_('RUN'))
    description = forms.CharField(label=_(u"Descripción"), \
        widget=SummernoteWidget(attrs={'width': '100%'}),
        required=False)

    avatar = forms.ImageField(label=_('Avatar (opcional)'),
                                required=False)
    transcript = forms.FileField(label=_('Ficha Curricular (opcional)'),
                                    required=False)
    pga = forms.CharField(label=_('PGA'),max_length=3, required=False)



class SemanaForm(forms.Form):
    tematica = forms.CharField(label="Tematica de la semana")
    objetivo = forms.CharField()


class TeacherForm(forms.Form):
    POST_GRADES_CHOICES = (('PH', 'Doctorado'),
                           ('MA', 'Magister'),
                           ('LI', 'Licenciado'),
                          )
    TEACHER_TYPES_CHOICES = (('DO', 'Docente'),
                            ('SA', u'Secretario Académico'),
                            ('DC', 'Director de Carrera'),
                          )
    first_name = forms.CharField(label=_('Nombre'))
    last_name = forms.CharField(label=_('Apellido'))
    username = forms.CharField(label=_('Nombre de Usuario'))
    password = forms.CharField(label=_('Password'),
                                widget=forms.PasswordInput(),
                                required=False)
    email = forms.EmailField(label=_('Email'))
    post_grade = forms.ChoiceField(label=_('Grado'),
                                    choices=POST_GRADES_CHOICES,
                                    required=False)
    teacher_type = forms.ChoiceField(label=_('Cargo'),
                                        choices=TEACHER_TYPES_CHOICES,
                                        required=False)
    rut = CLRutField()

    carreer = forms.ModelChoiceField(queryset=Carreer.objects.all(),
                                     label=_('Programa'), required=False)
    campus = forms.ModelChoiceField(queryset=Campus.objects.all(),
                                    label=_('Campus'), required=False)
    shift = forms.ModelChoiceField(queryset=Shift.objects.all(),
                                   label=_('Jornada'),
                                   required=False)

    rut = CLRutField(label=_('RUN'))
    description = forms.CharField(label=_(u"Descripción"), \
        widget=SummernoteWidget(attrs={'width': '100%'}),
                                  required=False)

    avatar = forms.ImageField(label=_('Avatar (opcional)'),
                                required=False)
    cv = forms.FileField(label=_('Curriculum Vitae (opcional)'),
                         required=False)


class AbetForm(forms.Form):
    name = forms.CharField(label=_(u"Nombre"))
    carreer = forms.ModelChoiceField(queryset=Carreer.objects.exclude(name="stub").filter(abet=None),
                                     label=_('Carrera'), required=False)
    outcome_desc = forms.CharField(label=_(u"Descripción Outcome"), widget=forms.Textarea)

class CriteriaForm(forms.Form):
    name = forms.CharField(label=_(u"Descripción de Criterio"), widget=forms.Textarea)
    sufficient = forms.CharField(label=_(u"Suficiente"), widget=forms.Textarea)
    inProcess = forms.CharField(label=_(u"En Proceso"), widget=forms.Textarea)
    inscipient = forms.CharField(label=_(u"Insipiente"), widget=forms.Textarea)

class AbetRubricForm(forms.Form):
    name = forms.CharField(label=_(u"Nombre de la rubrica"))
    carreer = forms.ModelChoiceField(queryset=Carreer.objects.exclude(name="stub").exclude(abet=None), label=_('Carrera'))
    outcome = forms.ModelMultipleChoiceField(queryset=Outcome.objects.all(), label=_('Outcome'))
    nota_suf = forms.IntegerField(label="Suficiente", min_value=1, max_value=7)
    nota_enpr = forms.IntegerField(label="En Proceso", min_value=1, max_value=7)
    nota_inci = forms.IntegerField(label="Incipiente", min_value=1, max_value=7)
    subject = forms.ModelChoiceField(queryset=Course.objects.none(), label=_('Asignatura'))

dashboard/login/views.py
from django.shortcuts import render
from django.contrib.auth import authenticate, login, logout
from django.core.urlresolvers import reverse, reverse_lazy
from django.http import HttpResponseRedirect, HttpResponse
from django.contrib.auth.decorators import login_required
from django.contrib import messages
from django.utils.translation import ugettext as _
import requests
import ast
from django.contrib.auth.models import User
from core.models import *

def login_needed(function):
    def _out(request,*args,**kwargs):
        try:
            if request.session["token"] != None:
                return function(request,*args,**kwargs)
            else:
                return HttpResponseRedirect(reverse_lazy('login_user'))
        except KeyError:
            return HttpResponseRedirect(reverse_lazy('login_user'))
    return _out

def login_user(request):
    template_name = 'dashboard/login.html'
    for key in request.session.keys():
        del request.session[key]
    username = password = ''
    if request.POST:
        username = request.POST['Username']
        password = request.POST['Password']
        post_data = {'username':username,'password':password}
        response = requests.post('http://supreme.cloudtic.tech/rest-auth/login/',data=post_data)
        content = ast.literal_eval(response.content)
        if "key" in content:
            post_data2 = {'username':username}
            header = {"Content-Type":'application/json','Authorization':"Token " + content["key"]}
            response2 = requests.get('http://supreme.cloudtic.tech/rest-auth/user/',headers=header,data=post_data2)
            respuesta = ast.literal_eval(response2.content)
            request.session["name"] = respuesta["first_name"] + " " + respuesta["last_name"]
            request.session["token"] = content["key"]
            post_data3 = {'user_pk':respuesta['pk']}
            request.session["username"] = username
            header2 = {"Content-Type":'application/x-www-form-urlencoded','Authorization':"Token " + content["key"]}
            response3 = requests.post('http://supreme.cloudtic.tech/get/get_user_info/',headers=header2, data=post_data3)
            respuesta3 = ast.literal_eval(response3.content)
            respuesta3 = respuesta3['user_info']
            request.session["rut"] = respuesta3['user_rut']
            request.session["type"] = respuesta3["user_type"]
            user = User_Profile.objects.filter(rut=respuesta3["user_rut"])
            if len(user) != 1:
                user = User_Profile.objects.create(rut=respuesta3["user_rut"],
                                                  nombre=request.session["name"],
                                                  perfil_activo=request.session["type"])
                user.save()
            return HttpResponseRedirect(reverse_lazy('index'))
    return render(request, template_name, {})

templates/dashboard/planning/abet_rubric_add.html
{% extends "dashboard/base.html" %}
{% load general_tags %}
{% load i18n %}
{% load bootstrap %}
{% load static %}


{% block stylesheet %}


<link href="{% static 'css/plugins/sweetalert/sweetalert.css' %}" rel="stylesheet">
<link href="{% static 'css/animate.css' %}" rel="stylesheet">
<link href="{% static 'css/style.css' %}" rel="stylesheet">
<link href="{% static 'css/timeline.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/bootstrap-tagsinput/bootstrap-tagsinput.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/select2/select2.min.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/chosen/bootstrap-chosen.css' %}" rel="stylesheet">

{% endblock stylesheet  %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Crear Rúbrica-ABET" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Planificación" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Crear Rúbrica-ABET" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title blue-bg">
                <h5 style="font-size:20px;" id="titulo_rubrica">Nueva Rúbrica</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
                <div class="row" id="form_create">
                    <div class="col-md-4" >{{form.name|bootstrap}}</div>
                    <div class="col-md-4" >{{form.carreer|bootstrap}}</div>
                    <div class="col-md-4" >{{form.subject|bootstrap}}</div>
                    <div class="col-md-2" >{{form.nota_suf|bootstrap}}</div>
                    <div class="col-md-2" >{{form.nota_enpr|bootstrap}}</div>
                    <div class="col-md-2" >{{form.nota_inci|bootstrap}}</div>
                    <div class="col-md-2"></div>
                    <div class="col-md-4">
                        <button type="button" style="margin-top: 24px" id="accept_name" class="btn btn-block btn-primary">
                            Aceptar
                            <i class="fa fa-check" style="color:white"></i>
                        </button>
                    </div>
                <hr>
                </div>
                <div class="row outcomes animated fadeInRight" style="display:none">
                    <div class="form-group col-md-8">
                        {{form.outcome|bootstrap}}
                    </div>
                    <div class="col-md-4" id="button_outcome">  
                        <button type="button" id="add_outcome" class="btn btn-block btn-primary" data-rubricpk="" style="margin-top: 22px">Incluir Outcome</button>
                    </div>
                </div>
                <hr>
                <div class="row outcomes" style="display:none">
                    <div class="ibox">
                        <div class="ibox-title bg-info">
                            <h5 style="font-size:20px;">Outcomes a evaluar</h5>
                            <div class="ibox-tools">
                                <a class="collapse-link">
                                    <i class="fa fa-chevron-up" style="color:white"></i>
                                </a>
                            </div>
                        </div>
                        <div class="ibox-content" id="outcome_content">
                            
                        </div>
                    </div>
                </div>
                <div class="row outcomes" style="display:none">
                    <div class="col-md-4 pull-right">
                        <a href="{% url 'planning_abet_rubric_list' %}" type="button" style="margin-top: 24px" class="btn btn-block btn-primary">
                            Guardar
                            <i class="fa fa-check" style="color:white"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


{% endblock content %}


{% block javascript %}
<script src="{% static 'js/plugins/select2/select2.full.min.js' %}"></script>
<script src="{% static 'js/plugins/chosen/chosen.jquery.js' %}"></script>

<script>
    
$(document).on("click",".remove_outcome",function(e){
    console.log(e.trigger)
    var outcome_pk = $(this).data('outcomepk');
    var rubric_pk = $("#add_outcome").data('rubricpk')  
    var button = $(this);
    data ={
        outcome_pk: outcome_pk,
        rubric_pk: rubric_pk,
        carreer_pk: carreer_pk,
        csrfmiddlewaretoken: '{{ csrf_token }}',
          };

    $.ajax({
        type: "post",
        dataType: "json",
        url: "{% url 'planning_rubric_outcome_remove' %}",
        data: data ,

        beforeSend: function(data){
            console.log(data);
        },
        success: function(data){
            $("#id_outcome").html(data.outcomes_opt);
            button.parent().parent().parent().remove();
        },
    });
});

$(document).ready(function(){


    $("#id_carreer").on("change", function(){
        carreer_pk = $("#id_carreer").val();
        var data = {

            carreer_pk : carreer_pk, 
            csrfmiddlewaretoken: '{{ csrf_token }}'
            
            };
            
        $.ajax({
            type: "post",
            dataType: "json",
            url: "{% url 'get_carreer_subject' %}",
            data: data,

            success: function(data){
                $("#id_subject").html(data.subjects)
            },

        });
    });

    $("#accept_name").click(function(){
        var nota_suf = parseInt($("#id_nota_suf").val(),10);
        var nota_enpr = parseInt($("#id_nota_enpr").val(),10);
        var nota_inci = parseInt($("#id_nota_inci").val(),10);

        if (nota_suf>nota_enpr && nota_enpr>nota_inci && nota_suf<=7 && nota_inci>=1){

            $("#form_create").addClass("animated fadeOutLeft");
            $("#form_create").hide();

            var data={

                nombre: $("#id_name").val(),
                subject_pk: $("#id_subject").val(),
                carreer_pk: $("#id_carreer").val(),
                nota_suf: $("#id_nota_suf").val(),
                nota_enpr: $("#id_nota_enpr").val(),
                nota_inci: $("#id_nota_inci").val(),
                csrfmiddlewaretoken: '{{ csrf_token }}',

            };

            var data2={

                carreer_pk: $("#id_carreer").val(),
                csrfmiddlewaretoken: '{{ csrf_token }}',

            }
            $(".outcomes").addClass("animated fadeInRight");
            $(".outcomes").show();
            $.ajax({
                type: "post",
                dataType: "json",
                url: "{% url 'planning_abet_rubric_create' %}",
                data: data,

                success: function(data){
                    $("#titulo_rubrica").html(data.titulo);
                    $("#add_outcome").attr('data-rubricpk',data.rubricpk)
                },

                error: function(data){
                    alert('Error al crear la rubrica');
                },
            });
            $.ajax({
                type: "post",
                dataType: "json",
                url: "{% url 'get_carreer_outcomes' %}",
                data: data2,

                success: function(data){
                    $("#id_outcome").html(data.outcomes);
                },

                error: function(data){
                    alert("problema con los datos");
                },
            });
        } else {
            swal({
                title: "Notas incorrectas",
                text: "Las notas deben ser crecientes de incipiente a suficiente. (nota máxima 7)",
                type: "error",
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Entendido.",
                closeOnConfirm: false
            });
        };
    });

    $("#id_outcome").select2({ width: '100%' });

    $("#add_outcome").click(function(){
        var outcome_pks = $("#id_outcome").val();
        var rubric_pk = $(this).data('rubricpk')
        data = {
            rubric_pk: rubric_pk,
            "keys[]": outcome_pks,
            carreer_pk: carreer_pk,
            csrfmiddlewaretoken: '{{ csrf_token }}',
        };
        $.ajax({
            type: "post",
            dataType: "json",
            url: "{% url 'planning_abet_rubric_add_outcomes' %}",
            data: data,

            success: function(data){
                $("#outcome_content").append(data.outcomes);
                $("#id_outcome").select2("val","");
                $("#id_outcome").html(data.outcomes_opt);
            },
        });
    });

    $(".remove_outcome").click(function(){


    });
});

</script>
{% endblock javascript %}